Bug 11135 - guile != 1.6 for alterator
: guile != 1.6 for alterator
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-17 21:54 by
Modified: 2007-10-30 18:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-17 21:54:45
Если в системе установлено несколько guile (guile1.6 по зависимостям alterator,
и, например, guile1.8 по зависимостям других пакетов), то /usr/bin/guile будет
указывать на guile1.8, в результате чего все пакеты альтератора, вызывающие в
шебанге

#!/usr/bin/guile

будут падать с довольно странными ошибками про невозможность найти alterator
algo, например.

Как это правильно решить - не знаю, но как минимум уж тогда везде прописать
guile1.6?
------- Comment #1 From 2007-03-19 10:17:18 -------
Мне кажется сейчас я во всех местах поменял на #!/usr/bin/guile16

В каких именно файлах это не исправлено?
------- Comment #2 From 2007-10-30 18:01:53 -------
fixed